import Tool from "./tool";
import { graph, state } from "../editor";

export default class RedoTool extends Tool {
    constructor(key) {
        super("Redo", "redo", key);
    }
    
    onToolActivate() {
        graph.redo();
        state.setTool(state.previousTool)
    }
}